perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All-1.1.0-3.mga6.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All - Upgrade ALL your dependencies to the ones you have installed

Property Value
Distribution Mageia 6.0
Repository Mageia Core x86_64
Package name perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All
Package version 1.1.0
Package release 3.mga6
Package architecture noarch
Package type rpm
Installed size 100.91 KB
Download size 28.28 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This is a special case of "Dist::Zilla::Plugin::Prereqs::MatchInstalled"
that automatically upgrades all versions of all dependencies, unless
asked not to.
PITFALLS
Presently, there is one very large gotcha about using this module, in
that it will upgrade everything, even things that don't make sense to
upgrade.
For instance:
Local Versions
If you have a single dependency on your system you might use, which is
locally patched, and locally patched in such a way the local version is
more recent than any on "CPAN", you should either
a. Not use this module
b. Put that module in the exclusion list
Non-Dual Life modules
This plugin is not very smart, and can't differentiate between modules
that do exist on "CPAN" independent of Perl, and modules that don't.
For instance, if you use "Autoprereqs", its very likely your
distribution will add a dependency on either "strict" or "warnings"
This module will ask your user to upgrade those versions to their latest
versions, which will likely require them to upgrade their Perl
installation to do so.
Which basically means for the mean time, either
a. You must be o.k. with end users needing more recent Perls
b. You should avoid upgrading those dependencies by either
a. Not using this plugin
b. Adding problematic modules to the exclusion list

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All-1.1.0-3.mga6.noarch.rpm 1.1.0 noarch Mageia Core
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All - - -

Requires

Name Value
perl >= 0:5.008
perl(Dist::Zilla::Plugin::Prereqs::MatchInstalled) >= 1.0.0
perl(Dist::Zilla::Util::ConfigDumper) -
perl(Moose) -
perl(MooseX::Types::Moose) -
perl(strict) -
perl(utf8) -
perl(warnings) -
perl-base >= 2:5.22.2

Provides

Name Value
perl(Dist::Zilla::Plugin::Prereqs::MatchInstalled::All) == 1.1.0
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All == 1.1.0-3.mga6

Download

Type URL
Binary Package perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All-1.1.0-3.mga6.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All-1.1.0-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All rpm package:
    # urpmi perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All

Files

Path
/usr/lib/perl5/vendor_perl/5.22.2/Dist/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/Plugin/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/Plugin/Prereqs/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/Plugin/Prereqs/MatchInstalled/All.pm
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/META.json
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/META.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/MYMETA.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/README
/usr/share/man/man3/Dist::Zilla::Plugin::Prereqs::MatchInstalled::All.3pm.xz

Changelog

2016-06-19 - pterjan <pterjan> 1.1.0-3.mga6
+ Revision: 1026553
- Rebuild for perl 5.22.2
2016-02-18 - umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 966488
- Mageia 6 Mass Rebuild
2015-06-27 - sander85 <sander85> 1.1.0-1.mga6
+ Revision: 845785
- update to 1.001000
2014-10-15 - umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 747347
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
2014-05-02 - sander85 <sander85> 1.0.0-1.mga5
+ Revision: 619564
- update to 1.000000
2013-10-21 - umeabot <umeabot> 0.1.2-2.mga4
+ Revision: 537124
- Mageia 4 Mass Rebuild
2013-09-25 - sander85 <sander85> 0.1.2-1.mga4
+ Revision: 486356
- update to 0.1.2
2013-09-08 - sander85 <sander85> 0.1.1-1.mga4
+ Revision: 475892
- update to 0.1.1
2013-08-09 - sander85 <sander85> 0.1.0-1.mga4
+ Revision: 464919
- imported package perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All

See Also

Package Description
perl-Dist-Zilla-Plugin-Prereqs-Plugins-1.3.2-3.mga6.noarch.rpm Add all Dist::Zilla plugins presently in use as prerequisites
perl-Dist-Zilla-Plugin-Prereqs-Recommend-MatchInstalled-0.3.1-3.mga6.noarch.rpm Advertise versions of things you have as soft dependencies
perl-Dist-Zilla-Plugin-Prereqs-Soften-0.6.2-1.mga6.noarch.rpm Downgrade listed dependencies to recommendations if present
perl-Dist-Zilla-Plugin-Prereqs-SyncVersions-0.3.1-3.mga6.noarch.rpm Homogenize prerequisites so dependency versions are consistent
perl-Dist-Zilla-Plugin-Prereqs-Upgrade-0.1.0-3.mga6.noarch.rpm Upgrade existing prerequisites in place
perl-Dist-Zilla-Plugin-PromptIfStale-0.49.0-2.mga6.noarch.rpm Check at build/release time if modules are out of date
perl-Dist-Zilla-Plugin-PurePerlTests-0.60.0-2.mga6.noarch.rpm Run all your tests twice, once with XS code and once with pure Perl
perl-Dist-Zilla-Plugin-Readme-Brief-0.3.0-2.mga6.noarch.rpm Provide a short simple README with just the essentials
perl-Dist-Zilla-Plugin-ReadmeAnyFromPod-0.161.170-2.mga6.noarch.rpm Automatically convert POD to a README in any format for Dist::Zilla
perl-Dist-Zilla-Plugin-ReadmeFromPod-0.330.0-3.mga6.noarch.rpm Automatically convert POD to a README for Dist::Zilla
perl-Dist-Zilla-Plugin-ReadmeMarkdownFromPod-0.141.140-5.mga6.noarch.rpm Automatically convert POD to a README.mkdn for Dist::Zilla
perl-Dist-Zilla-Plugin-RemovePrereqs-Provided-0.1.0-3.mga6.noarch.rpm Remove prerequisites that are already provided
perl-Dist-Zilla-Plugin-ReportPhase-0.30.0-7.mga6.noarch.rpm Report whats going on
perl-Dist-Zilla-Plugin-ReportVersions-1.110.730-7.mga6.noarch.rpm Write a test that reports used module versions
perl-Dist-Zilla-Plugin-ReportVersions-Tiny-1.120.0-3.mga6.noarch.rpm Reports dependency versions during testing
Advertisement
Advertisement